<?xml version="1.0" encoding="UTF-8"?>

<?import com.jfoenix.controls.JFXButton?>
<?import com.jfoenix.controls.JFXListView?>
<?import com.jfoenix.controls.JFXProgressBar?>
<?import com.jfoenix.controls.JFXRadioButton?>
<?import com.jfoenix.controls.JFXTextField?>
<?import de.jensd.fx.glyphs.fontawesome.FontAwesomeIconView?>
<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.Separator?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.text.Font?>
<?import javafx.scene.text.Text?>
<?import org.kordamp.ikonli.javafx.FontIcon?>

<AnchorPane fx:id="root" maxHeight="-Infinity" maxWidth="-Infinity"
	minHeight="-Infinity" minWidth="-Infinity" prefHeight="570.0"
	prefWidth="800.0" xmlns="http://javafx.com/javafx/8.0.141" xmlns:fx="http://javafx.com/fxml/1"
	fx:controller="mb.dabm.controller.ExtracaoSegVController">
	<children>
		<JFXButton fx:id="btnExtractFile" buttonType="RAISED"
			layoutX="12.0" layoutY="286.0" onAction="#onProcessarInsercaoSegV"
			prefHeight="40.0" prefWidth="135.0" style="-fx-background-insets: 0,0,-1,0;"
			styleClass="success" stylesheets="@../css/layout.css" text="Extrair">
			<font>
				<Font size="14.0" />
			</font>
			<graphic>
				<FontIcon iconColor="WHITE" iconLiteral="fa-database"
					iconSize="20" />
			</graphic>
		</JFXButton>
		<JFXProgressBar fx:id="progress" layoutX="13.0"
			layoutY="358.0" prefHeight="15.0" prefWidth="772.0" />
		<Separator layoutX="8.0" layoutY="400.0" prefHeight="3.0"
			prefWidth="786.0" />
		<Text layoutX="370.0" layoutY="398.0" strokeType="OUTSIDE"
			strokeWidth="0.0" text="Resumo">
			<font>
				<Font size="18.0" />
			</font>
		</Text>
		<Label fx:id="lblStatus" layoutX="13.0" layoutY="338.0"
			prefHeight="17.0" prefWidth="772.0" text="Contador:">
			<padding>
				<Insets left="5.0" />
			</padding>
			<font>
				<Font name="System Bold" size="12.0" />
			</font>
		</Label>
		<JFXButton fx:id="btnTask" buttonType="RAISED" layoutX="156.0"
			layoutY="286.0" prefHeight="40.0" prefWidth="135.0"
			style="-fx-background-insets: 0,0,-1,0;" styleClass="danger"
			stylesheets="@../css/layout.css" text="Parar">
			<font>
				<Font size="14.0" />
			</font>
			<graphic>
				<FontAwesomeIconView fill="WHITE" glyphName="SIGN_OUT"
					size="20.0" />
			</graphic>
		</JFXButton>
		<AnchorPane fx:id="anchorPaneResumo" layoutX="9.0" layoutY="403.0"
			prefHeight="162.0" prefWidth="786.0">
			<children>
				<Label fx:id="lblTotalItensFile" layoutX="6.0" layoutY="11.0"
					text="Total de Itens no Arquivo:" textFill="#086aea">
					<font>
						<Font name="System Bold" size="12.0" />
					</font>
				</Label>
				<JFXTextField fx:id="txtTotalItensFile" editable="false"
					layoutX="159.0" layoutY="2.0" prefHeight="25.0" prefWidth="620.0" />
				<Label fx:id="lblTotalQuerys" layoutX="9.0" layoutY="45.0"
					text="Total de Querys:">
					<font>
						<Font name="System Bold" size="12.0" />
					</font>
				</Label>
				<JFXTextField fx:id="txtTotalQuerys" editable="false"
					layoutX="160.0" layoutY="35.0" prefHeight="25.0" prefWidth="620.0" />
				<Label fx:id="lblTotalLinhas" layoutX="9.0" layoutY="77.0"
					text="Linhas existentes:">
					<font>
						<Font name="System Bold" size="12.0" />
					</font>
				</Label>
				<JFXTextField fx:id="txtTotalLinhas" editable="false"
					layoutX="160.0" layoutY="67.0" prefHeight="25.0" prefWidth="620.0" />
				<Label fx:id="lblTempoProc" layoutX="10.0" layoutY="109.0"
					text="Tempo processamento:">
					<font>
						<Font name="System Bold" size="12.0" />
					</font>
				</Label>
				<JFXTextField fx:id="txtTempoProc" editable="false"
					layoutX="161.0" layoutY="99.0" prefHeight="25.0" prefWidth="620.0" />
				<Label fx:id="lblItensErro" layoutX="10.0" layoutY="143.0"
					text="Arquivo com itens que não foram inseridos:">
					<font>
						<Font name="System Bold" size="12.0" />
					</font>
				</Label>
				<JFXButton fx:id="btnItensErro" layoutX="276.0" layoutY="136.0"
					text="Abrir Arquivo">
					<graphic>
						<FontIcon iconLiteral="mdi-file-export" iconSize="20" />
					</graphic>
					<font>
						<Font size="14.0" />
					</font>
				</JFXButton>
			</children>
		</AnchorPane>
		<Label fx:id="lblQtdQuerys" layoutX="16.0" layoutY="13.0"
			text="Quantidade de Objetos:" textFill="#086aea">
			<font>
				<Font name="System Bold" size="12.0" />
			</font>
		</Label>
		<JFXTextField fx:id="txtQtdQuerys" layoutX="169.0"
			layoutY="5.0" prefHeight="25.0" prefWidth="99.0" text="1000" />
		<Label fx:id="lblBancoDados" layoutX="305.0" layoutY="13.0"
			text="Banco de Dados:" textFill="#086aea">
			<font>
				<Font name="System Bold" size="12.0" />
			</font>
		</Label>
		<JFXRadioButton fx:id="radioPROD" layoutX="416.0"
			layoutY="13.0" text="PROD" />
		<JFXRadioButton fx:id="radioCATALOG" layoutX="508.0"
			layoutY="13.0" text="CATALOG" />
		<AnchorPane fx:id="anchorListaView" layoutX="12.0" layoutY="41.0"
			prefHeight="232.0" prefWidth="779.0">
			<children>
				<JFXListView fx:id="listaViewFilesSplit" layoutY="16.0"
					prefHeight="215.0" prefWidth="576.0" />
				<JFXListView fx:id="listaViewFilesDelete" layoutX="583.0"
					layoutY="16.0" prefHeight="215.0" prefWidth="193.0" />
				<Label fx:id="lblListaArquivos" layoutX="1.0"
					text="Lista de Arquivos gerados:" />
				<Label fx:id="lblListaArquivosDeletados" layoutX="588.0"
					text="Lista de Arquivos deletados:" />
			</children>
		</AnchorPane>
		<JFXButton fx:id="btnCalcularTotal" buttonType="RAISED"
			disable="true" layoutX="577.0" layoutY="286.0"
			onAction="#onCalcularTotalRegistrosTable" prefHeight="40.0"
			prefWidth="214.0" style="-fx-background-insets: 0,0,-1,0;"
			styleClass="warning" stylesheets="@../css/layout.css" text="Calcular Total de registros">
			<font>
				<Font size="14.0" />
			</font>
			<graphic>
				<FontIcon iconColor="WHITE" iconLiteral="fa-calculator"
					iconSize="20" />
			</graphic>
		</JFXButton>
	</children>
</AnchorPane>
